function D = det(P)

% DET -- determinant of matrix polynomial
%
%        D = det(P)
%
% Caution: this is done by brute force, so it will take a long time for
% larger matrices.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

[n1,n2] = size(P);
if (n1 ~= n2)
    error('P is not square');
end

if (n1 == 1)
    D = P;
    D.type = '';
    return
end

D = 0;
for i = 1:n1
    D = D + (-1)^(i+1) * subsref(P,substruct('()',{i,1})) * ...
	det(subsref(P,substruct('()',{[1:i-1,i+1:n1],2:n1})));
end

D = trim(D);
D.type = '';
