function last = end(P,k,n)

% END - find final subscript
% 
%         last = end(P,k,n)
% 
% This routine is not meant to be called by the user.
% It is called by Matlab internally when a subscripting
% operation like P(2,end) is encountered.

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

% This routine has no way of detecting whether it was called
% for P(...) or P{...}. We assume that if there is one subscript, 
% it is P{...}; if there are two subscripts, it is P(...);

switch n
 case 1
  last = get(P,'max');
 case 2
  last = size(P.coef,k);
 otherwise
  error('illegal subscripting');
end
