function yesno = isidentity(P)

% ISIDENTITY -- check whether Laurent polynomial is identity matrix
%
%       yesno = isidentity(P)

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

P = trim(P);
[n1,n2] = size(P);
if (n1 ~= n2 | size(P.coef,3) ~= 1 | P.min ~= 0)
% P is not a square, constant matrix
    yesno = 0;
    return
end

yesno = iszero(P - eye(n1));
