function Q = reverse(P)

% REVERSE -- reverse matrix polynomial
%
%        Q = reverse(P)
%
% Reverses the order of coefficients, and the sign of the
% exponents. This is the same as replacing P(z) by P(1/z),
% or (P').' (complex conjugate transpose followed by real transpose)

% Copyright (c) 2004 by Fritz Keinert (keinert@iastate.edu),
% Dept. of Mathematics, Iowa State University, Ames, IA 50011.
% This software may be freely used and distributed for non-commercial
% purposes, provided this copyright statement is preserved, and
% appropriate credit for its use is given.
%
% Last update: Feb 20, 2004

Q = trim(P);
Q.coef = Q.coef(:,:,end:-1:1);
Q.min = - get(Q,'max');
